summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-10-22 22:05:15 +0200
committerMichael Vogt <mvo@debian.org>2013-10-22 22:06:24 +0200
commit51355387e5a5d4d7275a34b1c22f0ef5a76172d5 (patch)
treee40c80a0d5268eb42cf71461e5ef9494658e1b7d /test
parentb4017ba767e15dc06c73915efaf36409ee099bf2 (diff)
parent4b9969da40ff1dff2f5787feff5103c873c57f7f (diff)
Merge remote-tracking branch 'upstream/debian/sid' into feature/install-progress-refactor
Conflicts: apt-pkg/deb/dpkgpm.cc apt-pkg/makefile
Diffstat (limited to 'test')
-rw-r--r--test/integration/framework2
-rwxr-xr-xtest/integration/run-tests5
-rwxr-xr-xtest/integration/test-apt-progress-fd-error2
3 files changed, 7 insertions, 2 deletions
diff --git a/test/integration/framework b/test/integration/framework
index 28ccb4d9f..20f3487cc 100644
--- a/test/integration/framework
+++ b/test/integration/framework
@@ -116,7 +116,7 @@ aptitude() {
}
gdb() {
echo "gdb: run »$*«"
- APT_CONFIG=aptconfig.conf LD_LIBRARY_PATH=${BUILDDIRECTORY} $(which gdb) ${BUILDDIRECTORY}/$1
+ APT_CONFIG=aptconfig.conf LD_LIBRARY_PATH=${BUILDDIRECTORY} $(which gdb) ${BUILDDIRECTORY}/$1 --args $*
}
http() {
LD_LIBRARY_PATH=${BUILDDIRECTORY} ${BUILDDIRECTORY}/methods/http
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 18474b20f..7316016e2 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -2,6 +2,7 @@
set -e
FAIL=0
+FAILED_TESTS=""
DIR=$(readlink -f $(dirname $0))
if [ "$1" = "-q" ]; then
export MSGLEVEL=2
@@ -29,6 +30,7 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do
fi
if ! ${testcase}; then
FAIL=$((FAIL+1))
+ FAILED_TESTS="$FAILED_TESTS $(basename $testcase)"
echo "$(basename $testcase) ... FAIL"
fi
if [ "$MSGLEVEL" -le 2 ]; then
@@ -37,5 +39,8 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do
done
echo "failures: $FAIL"
+if [ -n "$FAILED_TESTS" ]; then
+ echo "Failed tests: $FAILED_TESTS";
+fi
# ensure we don't overflow
exit $((FAIL <= 255 ? FAIL : 255))
diff --git a/test/integration/test-apt-progress-fd-error b/test/integration/test-apt-progress-fd-error
index 0cd59410e..96d66371a 100755
--- a/test/integration/test-apt-progress-fd-error
+++ b/test/integration/test-apt-progress-fd-error
@@ -18,5 +18,5 @@ setupaptarchive
exec 3> apt-progress.log
testfailure aptget install foo1 foo2 -y -o APT::Status-Fd=3
msgtest "Ensure correct error message"
-grep -q "aptarchive/pool/foo2_0.8.15_amd64.deb :40:trying to overwrite '/usr/bin/file-conflict', which is also in package foo1 0.8.15" apt-progress.log && msgpass || msgfail
+grep -q "aptarchive/pool/foo2_0.8.15_amd64.deb :40:trying to overwrite '/usr/bin/file-conflict', which is also in package foo1 0.8.15" apt-progress.log && msgpass || (cat apt-progress.log && msgfail)